Download it now!
Bug 77759 - Embedded excel getting renamed to binary object (only rename no format change)
Summary: Embedded excel getting renamed to binary object (only rename no format change)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Ravindra Vidhate
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-22 09:26 UTC by Ravindra Vidhate
Modified: 2014-04-30 17:28 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ravindra Vidhate 2014-04-22 09:26:08 UTC
Problem description: 
The embedded excel (xlsx) when inserted on its own (unlike with chart) is getting converted to ".bin". Note that only extension differs otherwise its an excel file only. There is no loss of user experience in editing the file in MS Word.

The similar case is also exists when power point is inserted on it's own.

Steps to reproduce:
1. Open the attached file in LO
2. Export to DOCX format.
3. Observe the [Content_Types].xml. The .xlsx extension is getting changed to .bin

Current behavior:
The embedded excel (xlsx) when inserted on its own (unlike with chart) is getting converted to ".bin". 

Expected behavior:
The embedded excel (xlsx) when inserted on its own (unlike with chart) should have the extension ".xlsx" as it is.
Comment 1 Commit Notification 2014-04-28 07:22:21 UTC
Ravindra Vidhate committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3c00ee3c7b3b0fbcde32baeb7023c7e8526b908

fdo#77759 : Embedded excel getting renamed to binary object.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.